#ifndef _SLCD_H
#define	_SLCD_H
#ifdef	HAVE_SDL_SDL_H

#define	MAX_SLCDS	8

void slcdHome        (int fd) ;
void slcdClear       (int fd) ;
void slcdDisplay     (int fd, int state) ;
void slcdCursor      (int fd, int state) ;
void slcdCursorBlink (int fd, int state) ;
void slcdSendCommand (int fd, unsigned char command) ;
void slcdPosition    (int fd, int x, int y) ;
void slcdCharDef     (int fd, int index, unsigned char data [8]) ;
void slcdPutchar     (int fd, unsigned char data) ;
void slcdPuts        (int fd, const char *string) ;
void slcdPrintf      (int fd, const char *message, ...) ;

int  slcdInit        (int fd, int x, int y, int w, int h, int cols, int rows) ;


#endif
#endif
